description

# ChunkedConversionSink<T> class Null safety

A ChunkedConversionSink is used to transmit data more efficiently between two converters during chunked conversions.

The basic `ChunkedConversionSink` is just a Sink, and converters should work with a plain `Sink`, but may work more efficiently with certain specialized types of `ChunkedConversionSink`.

It is recommended that implementations of `ChunkedConversionSink` extend this class, to inherit any further methods that may be added to the class.

Implemented types
  - Sink<T>
Implementers
  - ByteConversionSink
  - StringConversionSink

## Constructors

ChunkedConversionSink()
ChunkedConversionSink.withCallback(void callback(List<T> accumulated))
  factory

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

add(T chunk) → void
  Adds chunked data to this sink. [...]
  override
close() → void
  Closes the sink. [...]
  override
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited